#! /usr/bin/env bash

set -o errexit

setup_path="$1"
repos_path="$2"
[ -z "$setup_path" ] && setup_path="/root/setup"
[ -z "$repos_path" ] && repos_path="/ccpi/repos"

for name in "$repos_path"/*; do
    (
	cd $name
	[ -f "ands_install.sh" ] && bash "ands_install.sh"
    )
done
