#! /bin/bash

set -o errexit

. config.sh

if [ ! -d ../repos ]; then
    buildah unshare bash ../build/extract.sh  ${image}
fi

podman run --name "ccpi-devel" -it --rm --hooks-dir /usr/share/containers/oci/hooks.d/ -p $ssh_port:2222/tcp -v ~/ccpi/data:/ccpi/data -v ~/ccpi/repos:/ccpi/repos localhost/${image} bash -c "bash /root/setup/provision.sh; bash"
